std::_Fwd_list_const_iterator< _Tp > Struct Template Reference

## Public Types

typedef const _Fwd_list_node< _Tp > | _Node
typedef _Fwd_list_const_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef _Fwd_list_iterator< _Tp > | iterator
typedef std::forward_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type

## Public Member Functions

| _Fwd_list_const_iterator (const _Fwd_list_node_base *__n) noexcept
| _Fwd_list_const_iterator (const iterator &__iter) noexcept
_Self | _M_next () const noexcept
reference | operator* () const noexcept
_Self & | operator++ () noexcept
_Self | operator++ (int) noexcept
pointer | operator-> () const noexcept

## Public Attributes

const _Fwd_list_node_base * | _M_node

## Friends

bool | operator== (const _Self &__x, const _Self &__y) noexcept

## Detailed Description

### template<typename _Tp>
struct std::_Fwd_list_const_iterator< _Tp >

A forward_list::const_iterator.

All the functions are op overloads.

Definition at line 214 of file forward_list.h.

## Friends And Related Function Documentation

## operator==

template<typename _Tp >

bool operator== | ( | const _Self & | __x,
|  | const _Self & | __y
| ) |  |

friend

Forward list const_iterator equality comparison.

Definition at line 266 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h